IF = {
    limit = {
        NOT = {
            is_alive = yes
            has_character_flag = {{model.enabled_flag}}
        }
    }
    {{model.cleanup()}}
    break = yes
}
IF = {
    limit = {
        NOT = { 
            has_character_flag = {{model.react_flag}}
            has_character_flag = {{model.start_flag}}
        }
        has_character_flag = {{model.success_flag}}
    }
    set_character_flag = {{model.react_flag}}
    {{model.start()}}
}